Skip to main content
`Ctrl`+`K`

# PetscMPIIntCast

casts a `MPI_Count`, `PetscInt`, `PetscCount`, or `PetscInt64` to a `PetscMPIInt` (which is always 32-bits in size), generates an error if the `PetscMPIInt` is not large enough to hold the number.

## Synopsis

    static inline PetscErrorCode PetscMPIIntCast(MPIU_Count a, PetscMPIInt *b)

Not Collective; No Fortran Support

## Input Parameter

- a - the `PetscInt` value

## Output Parameter

- b - the resulting `PetscMPIInt` value, or `NULL` if the result is not needed

## See Also

PETSc and standard datatypes, `PetscBLASInt`, `PetscMPIInt`, `PetscInt`, `PetscBLASIntCast()`, `PetscIntCast()`

## Level

advanced

## Location

include/petscsys.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages